# brief-news-CLI
Non-commercial use. BriefNewsCLI is a Python command-line tool for fetching and summarizing news articles from various sources. It simplifies the process of staying informed by providing quick access to summarized news articles by AI in your terminal.

## Features

- Fetch and display top news stories.
- Summarize news articles for quick insights.
- Customizable summarization options.
- Easy-to-use and interactive command-line interface.

## Table of Contents

- [Installation](#installation)
- [Usage](#usage)
- [Commands](#commands)
- [Contributing](#contributing)
- [License](#license)

## Installation

You can install Brief News CLI via pip. Ensure you have Python 3.7 or higher installed.

```bash
pip install brief-news-cli
```

## Usage

After installation, you can use Brief News CLI by running the `brief-news` command in your terminal:

```bash
briefnewscli top-stories
```

To summarize news articles, use:

```bash
briefnewscli brief
```

For more details and options, refer to the Commands section below.

## Commands

`top-stories`
Fetch and display the top news stories from various sources.

```bash
briefnewscli top-stories
```

`brief`
Summarize news articles for quick insights. Customize summarization options as needed.

```bash
briefnewscli brief
```
For additional commands and options, run `briefnewscli --help`.

## Contributing
Contributions to BriefNewsCLI are welcome! To contribute, follow these steps:

1. Fork the repository.
2. Create a new branch for your feature or bug fix.
3. Make your changes and commit them.
4. Push your changes to your fork.
5. Create a pull request to the main repository.

## License
This project is licensed under the Creative Commons Legal Code.